#!/bin/sh

# Shoe Size Calculator Install Script

fullInstall()
	{
	[ ! -d /usr/local/bin ] && mkdir -p /usr/local/bin
	mv shoe-size-calculator shoe-size-selector-gui /usr/local/bin
	[ ! -d /usr/local/share/applications ] && mkdir -p /usr/local/share/applications
	mv ShoeSizeCalculator.desktop ShoeSizeSelector.desktop /usr/local/share/applications
	[ ! -d /usr/local/share/icons ] && mkdir -p /usr/local/share/icons
	mv Boot.png LouisXIV.png /usr/local/share/icons
	cd /usr/local/bin
	chmod 755 shoe-size-calculator shoe-size-selector-gui
	ln -s shoe-size-calculator ssc
	ln -s shoe-size-selector-gui sssg
	msg
	printf"\nDesktop icons should show up in the Start menu under Accessories and/or Education.\n\n"
	}

scriptInstall()
	{
	[ ! -d /usr/local/bin ] && mkdir -p /usr/local/bin
	mv shoe-size-calculator /usr/local/bin
	cd /usr/local/bin
	chmod 755 shoe-size-calculator
	ln -s shoe-size-calculator ssc
	msg
	printf "From the command line run 'shoe-size-calculator' or use its shotrcut 'ssc'.\n\n"
	}

msg()
	{
	printf "\nInstallation complete.  "
	[ -z "`echo ":${PATH}:" | grep :/usr/local/bin:`" ] && \
	{ echo "/usr/local/bin is NOT in your PATH."
	  echo "Edit /etc/bashrc or \${HOME}/.bashrc and add"
	printf "PATH=\${PATH}:/usr/local/bin after PATH statement.\n\n" ; } || printf "\n\n"
	}

if [ $UID -eq 0 ]
then
	case `uname` in
		Linux|GNU|Minix|QNX|UNIX*|UnixWare|SCO*|AIX|HP-UX|SunOS|IRIX*|*BSD) fullInstall ;;
		Darwin) scriptInstall ;;
		*) unset inst
			printf "OS Type not detected. Install anyway? [full|script] : "
			read inst
			case $inst in
				full) fullInstall ;;
				script) scriptInstall ;;
				*) echo "[1mNot Installed.[0m" ; exit 1 ;;
			esac
		;;
	esac
else
	printf "\n[1;5;31m	You must be SuperUser to install.[0m\n\n"
	exit 1
fi

